file_link_recursive.h File Reference

Make deep links to directories. More...

Go to the source code of this file.

## Functions

int | file_link_recursive (const char *source, const char *target, int allow_symlink)
| Make a hard link from source to target.

## Detailed Description

Make deep links to directories.

## Function Documentation

## file_link_recursive()

int file_link_recursive | ( | const char * | source,
|  | const char * | target,
|  | int | allow_symlink )

Make a hard link from source to target.

If source is a directory, do it recursively.

Parameters

  source | The source path to link to.
  target | The target path to create.
  allow_symlink | If true, attempt symbolic links if hard links fail.

Returns
  1 on success, 0 on failure.